from .config import DEFAULT_LLM, DEFAULT_HARDWARE

def route_request(query: str, purpose: str, override: str = None) -> dict:
    """Route requests to appropriate LLM and hardware"""
    if override:
        return {"llm": override, "hardware": "dedicated GPU"}
    
    if purpose in ["learning", "testing"]:
        return {"llm": "cheap_llm", "hardware": "shared GPU"}
    elif purpose in ["research", "client project"]:
        return {"llm": "advanced_llm", "hardware": "dedicated GPU"}
    
    return {"llm": DEFAULT_LLM, "hardware": DEFAULT_HARDWARE}