import unittest
from unittest.mock import patch
from techv_ai.auth import authenticate

class TestAuth(unittest.TestCase):
    @patch('techv_ai.auth.PublicClientApplication')
    def test_authenticate(self, mock_msal):
        mock_app = mock_msal.return_value
        mock_app.get_accounts.return_value = [{"username": "test@example.com"}]
        mock_app.acquire_token_silent.return_value = {"access_token": "test_token"}
        
        token = authenticate()
        self.assertEqual(token, "test_token")